tbinptr Struct Reference
Collaboration diagram for tbinptr:
[legend]

## Data Fields

size_t | prev_foot
size_t | head
struct malloc_tree_chunk * | fd
struct malloc_tree_chunk * | bk
struct malloc_tree_chunk * | child [2]
struct malloc_tree_chunk * | parent
bindex_t | index

## Detailed Description

Definition at line 1889 of file SDL_malloc.c.

## Field Documentation

struct malloc_tree_chunk* tbinptr::bk

Definition at line 1895 of file SDL_malloc.c.

struct malloc_tree_chunk* tbinptr::child[2]

Definition at line 1897 of file SDL_malloc.c.

struct malloc_tree_chunk* tbinptr::fd

Definition at line 1894 of file SDL_malloc.c.

size_t tbinptr::head

Definition at line 1893 of file SDL_malloc.c.

bindex_t tbinptr::index

Definition at line 1899 of file SDL_malloc.c.

struct malloc_tree_chunk* tbinptr::parent

Definition at line 1898 of file SDL_malloc.c.

size_t tbinptr::prev_foot

Definition at line 1892 of file SDL_malloc.c.

The documentation for this struct was generated from the following file:

- src/stdlib/SDL_malloc.c